import { Output } from './output.js';
import { IOutputProvider } from './index.js';
export declare abstract class OutputProfile {
    abstract id: string;
    abstract outputViewProvider?: IOutputProvider;
    abstract plugins?: any[];
    abstract modules?: any[];
    abstract parts?: any[];
    abstract onInstall(output: Output): void;
    abstract onInject(): void;
}
export declare class DefaultOutputProfile extends OutputProfile {
    id: string;
    outputViewProvider?: IOutputProvider;
    plugins?: any[];
    parts?: any[];
    modules?: any[];
    onInstall(output: Output): void;
    onInject(): void;
}
export default OutputProfile;
